Subject: RE: 23.0.92; triangle images in Customize buffers are just plain bad

From: "Drew Adams" <[email-masked]>
Date: Sat, 31 Oct 2009 09:09:50 -0700

> > While the idea behind the triangles (arrows) in Customize is good
> > (actually, I believe it was I who suggested it), the 
> > current effect is quite bad.
> >
> > If the value is shown, then the triangle points downward. Typically,
> > that symbol means that clicking it will display something additional
> > below the symbol. Instead, the value disappears.
> >
> > If the value is not shown, the the symbol is a right-pointing
> > triangle. That's OK in this case, since it suggests that clicking it
> > will display something to the right, and the value is to the right.
> >
> > However, for the symbol that replaces `More', a right-pointing
> > triangle is inappropriate, since the text is not displayed to its
> > right, but below it.
> 
> This is a very standard user interface idiom, known as "disclosure
> triangles".

Calling it by name and "very standard" doesn't improve anything. It was I who
suggested the idea in the first place. The idea is fine, as I said already.

"The current _effect_ is bad." That's the point: it is simply not done right.
The result is confusion and easily missing information. See above for details.

Doors on buildings (known as "doors") are a very standard architecture idiom.
But some doors are poorly designed.